Subject: [os2genau_digest] No. 1373
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 16 Oct 2006 00:01:01 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 15 October 2006
 Number  1373
**************************************************

Subjects for today
 
1   Kyocera laser printer not printing! : Glenn Montgomery <glenn at montysplace dot net>
2  Re:  Telstra's Heart is broken ! : Glenn Montgomery <glenn at montysplace dot net>
3  Re:  Kyocera laser printer not printing! : Paul Smedley <paul at smedley.info>
4  Re:  Telstra's Heart is broken ! : Ed Durrant <edurrant at bigpond dot net dot au>
5  Re:  Kyocera laser printer not printing! : Ed Durrant <edurrant at bigpond dot net dot au>
6  Re:  Kyocera laser printer not printing! : Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
7  Re:  Kyocera laser printer not printing! : Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
8   Installation of Intel 2200BG Mini-PCI Card under eCS 2.0 (Beta 2) on an IBM T30 Thinkpad. : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Sun, 15 Oct 2006 09:15:00 +1000
From:  Glenn Montgomery <glenn at montysplace dot net>
Subject:   Kyocera laser printer not printing!

Hello all,

I have recently come into the ownership of a Kyocera FS-720 laser 
printer (yes I bought it, it was going very cheap) . It uses USB 
connection but I cannot get it to print using eComstation 1.2R. I 
suppose I thought I could use the generic IBM laser driver. I have tried 
that but it doesn't mean I have done it correctly. Is anyone able to 
advise on setting up this printer??

Thanks all
Glenn Montgomery

-- 
No virus found in this outgoing message.
Checked by AVG Free Edition.
Version: 7.1.408 / Virus Database: 268.13.4/476 - Release Date: 14/10/2006

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 15 Oct 2006 09:13:13 +1000
From:  Glenn Montgomery <glenn at montysplace dot net>
Subject:  Re:  Telstra's Heart is broken !

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type">
  <title></title>
</head>
<body bgcolor="#ffffff" text="#000000">
Digest wrote:
<blockquote cite="mid0001524500.0001M3SG at warp.os2site dot com" type="cite">
  <pre wrap="">**************************************************
Friday 13 October 2006
 Number  1372
**************************************************
Subjects for today
 
1  Re:  Telstra's Heart is broken ! : Ed Durrant <a class="moz-txt-link-rfc2396E" href="mailto:edurrant at bigpond dot net dot au">&lt;edurrant at bigpond dot net dot au&gt;</a>

**= Email   1 ==========================**

Date:  Fri, 13 Oct 2006 05:47:32 +1000
From:  Ed Durrant <a class="moz-txt-link-rfc2396E" href="mailto:edurrant at bigpond dot net dot au">&lt;edurrant at bigpond dot net dot au&gt;</a>
Subject:  Re:  Telstra's Heart is broken !

Michael/Gail Peters wrote:
  </pre>
  <blockquote type="cite">
    <pre wrap="">Ed,

  Don't be a sophist ; -)  tell us how......
I'm staring down the barrell at this :

'Maxon Australia are developing further NextG capable modems. Check out 
our development blog maxoncdma dot com dot au/3gblog (brand new).'

for my (wife's) desktop. Will I need the usual Win gateway and the Win
software ( Australian) router Nat32 to enable OS/2?

I am onsatellite now and there's no escape....do you offer hope?

M.

----- Original Message ----- From: "Ed Durrant" <a class="moz-txt-link-rfc2396E" href="mailto:edurrant at bigpond dot net dot au">&lt;edurrant at bigpond dot net dot au&gt;</a>
To: <a class="moz-txt-link-rfc2396E" href="mailto:os2genau at os2 dot org dot au">&lt;os2genau at os2 dot org dot au&gt;</a>
Sent: Thursday, October 12, 2006 8:29 PM
Subject:  Telstra's Heart is broken !

    </pre>
    <blockquote type="cite">
      <pre wrap="">Some would say Telstra doesn't have a heart. Some would say it was 
broken when that American, Sol took the helm, others would say it 
broke when the government decided to sell it off in a series of fire 
sales.

Actually the Heart I'm referring to here is the heartbeat signal used 
on Telstra's "Bigpond Cable" network.

This network get "maintenance" occasionally and often following this I 
have to tell my Linksys router to disconnect and reconnect. 
Occasionally this is not enough and I have to restart the modem as 
well. On this occasion I did the usual disconnect, wait, connect 
process and after a while I got the "heartbeat signal not found" 
pop-up message that usually means I need to restart the modem as well. 
But as I was preparing to do this, Thunderbird beeped and informed me 
I had new mail. When I checked I did indeed have Internet connectivity 
despite the failure message. I put this down to a timing problem - 
that the link had in fact been made exactly at the same time as the 
error was being generated. I thought no more about this until now ....

In the November Australian Personal Computer magazine in its broadband 
section, there's an announcement that Telstra have turned off the 
heartbeat servers and now you only need to connect the router to the 
cable modem to get access. No more heartbeat (and hence also no more 
logon) required !

This is good news for people looking to buy a router, they no longer 
have to check that the router supports the Telstra Heartbeat or if 
they can download modified code to make it support the heartbeat 
function.

Also if you don't want to use a hardware router at all, and want to 
use your OS/2 system instead, you can now simply connect it to the 
modem (or a switch connected to the modem) and you don't need the REXX 
or Java BPLOGON agents any more. You probably should configure the 
TCP/IP stack in firewall mode if you don't have a hardware firewall 
however (a handy utility to configure this feature comes in eCS 2.0 
beta2 or can be added) !

Cheers/2

Ed.
      </pre>
    </blockquote>
    <blockquote type="cite">
      <pre wrap="">
      </pre>
    </blockquote>
  </blockquote>
  <pre wrap=""><!----> 
  </pre>
  <blockquote type="cite">
    <pre wrap="">
    </pre>
  </blockquote>
  <pre wrap=""><!---->
  </pre>
  <pre wrap=""><!----> From what I have seen, Telstra's "Next G" offering is simply Telstra 
reselling Hutchinson's '3' product, extending it into country Australia. 
  In fact I have heard that in Sydney and Melbourne the Telstra Next-G 
service is in fact run for Telstra by '3" using Hutchinsons equipment !

And the good news is YES OS/2 users can use the '3' third generation 
network - please read my article on voice from a few months back:

<a class="moz-txt-link-abbreviated" href="http://www.os2voice dot org/VNL/past_issues/VNL0606H/feature_1.html">www.os2voice dot org/VNL/past_issues/VNL0606H/feature_1.html</a>

(it looks like the Voice server is down for maintenance at the moment, 
so try in a while).

This Mobile wireless is presently only at 384Kb/s however Vodaphone have 
just announced that they are testing their implementation at 1.8Mb/s in 
my area, so I would expect the other suppliers to follow suit in the 
next few months.

Cheers/2

Ed.
----------------------------------------------------------------------------------

----------------------------------------------------------------------------------
 To Subscribe/Unsubscribe go to <a class="moz-txt-link-freetext" href="http://www.os2site.com/list/">http://www.os2site.com/list/</a>

  </pre>
</blockquote>
Hi guys,
<br>
<br>
Telstra's new "Next G" offering is actually Telstra's own new 3G
network which was turned on last week. It also features the HSDPA
option (high speed download packet access) which gives you higher
speeds than 3G per se. I think it's suggesting speeds of up to 14Mbit/s
(in an ideal world, eg enough capacity to the base etc), which is now
able to stream live TV etc. I was in fact looking at a test mobile last
night watching live CNN via Foxtel - a little chunky but watchable (if
that's what you need??).
<br>
<br>
All the best
<br>
Glenn.
</body>
</html>
[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sun, 15 Oct 2006 12:00:16 +0930
From:  Paul Smedley <paul at smedley.info>
Subject:  Re:  Kyocera laser printer not printing!

Hi Glenn

Glenn Montgomery wrote:
> Hello all,
> 
> I have recently come into the ownership of a Kyocera FS-720 laser 
> printer (yes I bought it, it was going very cheap) . It uses USB 
> connection but I cannot get it to print using eComstation 1.2R. I 
> suppose I thought I could use the generic IBM laser driver. I have tried 
> that but it doesn't mean I have done it correctly. Is anyone able to 
> advise on setting up this printer??

Doesn't look good I'm afraid - see 
http://www.linuxprinting dot org/show_printer.cgi?recnum=Kyocera-FS-720

Looks like it's a Windows only printer.

Cheers,

Paul.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sun, 15 Oct 2006 12:59:24 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Telstra's Heart is broken !

Glenn Montgomery wrote:

> Hi guys,
> 
> Telstra's new "Next G" offering is actually Telstra's own new 3G network 
> which was turned on last week. It also features the HSDPA option (high 
> speed download packet access) which gives you higher speeds than 3G per 
> se. I think it's suggesting speeds of up to 14Mbit/s (in an ideal world, 
> eg enough capacity to the base etc), which is now able to stream live TV 
> etc. I was in fact looking at a test mobile last night watching live CNN 
> via Foxtel - a little chunky but watchable (if that's what you need??).
> 
> All the best
> Glenn. [attachments have been removed] 
 
>  

I've been able to watch CNN and Fox News on my "3" mobile for sometime ! 
And it's not "chunky" as you say, but on a small screen of a mobile, it 
doesn't need that much bandwidth !

The Telstra implementation of 3G (v2) is in co-operation with Hutchinson.

It'll be interesting if they can attain 14Mb/s - are you sure that 
wasn't 1.4Mb/s ?? If they can get that across Australia - i.e. alos in 
the outback, that will make a big difference.

I believe this new implementation will use the CDMA network somehow to 
extrend range and bandwidth, which is one of the reasons that Hutchinson 
have tried to move all of their Orange CDMA customers over to the "3" 
brand to free off the CDMA network.

It looks like this could be interesting - I wonder when/if this will be 
implemented nationwide. Global roaming on this technology is also a 
problem at the moment as most of the Australian parties don't have deals 
with other countries suppliers - in some cases not even for falling back 
to basic GSM on the phone. Huthchinson-3 UK are a separate company than 
Hutchinson-3 Australia and where the UK company has deals in place the 
Australian company doesn't, meaning roaming with your 3G phone abroad is 
a very hit and miss affair at the moment. Not so much for technical 
reasons, but rather for contractual reasons. By the way - where roaming 
agreements are in place, expect to pay 8-10 times more than you do in 
Australia for your phone and/or data calls !

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sun, 15 Oct 2006 13:04:33 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Kyocera laser printer not printing!

Glenn Montgomery wrote:
> Hello all,
> 
> I have recently come into the ownership of a Kyocera FS-720 laser 
> printer (yes I bought it, it was going very cheap) . It uses USB 
> connection but I cannot get it to print using eComstation 1.2R. I 
> suppose I thought I could use the generic IBM laser driver. I have tried 
> that but it doesn't mean I have done it correctly. Is anyone able to 
> advise on setting up this printer??
> 
> Thanks all
> Glenn Montgomery
> 
> 
Hi Glen,

   You need to find if this is a "host based printer" (aka win-printer). 
If it is you've bought yourself a whole lot of strief at the moment as 
win-printers are not supported under eCS or OS/2. There is a project 
Win32Prn and there are "some" printers that can be driven directly using 
GHOST and ePDF / Printmon - but only a few.

   If this is a "real" printer, that I'd suggest you re-install the USB 
Printer support again - I have a feeling that this does not get 
correctly installed by a base eCS 1.2 install. I had a problem accessing 
my Epson 680 using USB under eCS 1.2 where it worked fine under Warp 4. 
I downloaded and installed the USB printer support with its monitor 
program, rebooted and it worked.

I hope this is all the problem you have !

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Sun, 15 Oct 2006 10:54:31 +0200
From:  Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
Subject:  Re:  Kyocera laser printer not printing!

Paul Smedley ha scritto:
> Hi Glenn
>
> Glenn Montgomery wrote:
>> Hello all,
>>
>> I have recently come into the ownership of a Kyocera FS-720 laser 
>> printer (yes I bought it, it was going very cheap) . It uses USB 
>> connection but I cannot get it to print using eComstation 1.2R. I 
>> suppose I thought I could use the generic IBM laser driver. I have 
>> tried that but it doesn't mean I have done it correctly. Is anyone 
>> able to advise on setting up this printer??
>
> Doesn't look good I'm afraid - see 
> http://www.linuxprinting dot org/show_printer.cgi?recnum=Kyocera-FS-720
>
Yes, after a little bit of Googling (which Glenn should have done) you'll find the docs saying:

"HOST BASIC PRINTING SYSTEM" (Windows etc...) ----> learned talk to say it's the operating system doing the print job, and not the printer itself.

The other two in the series (FS-820 nad FS-920) are PCL5 and PCL6 compatible.

Well, now Glens knows why it was so cheap.

Hence it's a no-no. Maybe when to Windy32-printer projects comes to real life, but if ever, there are still years to go I'm afraid.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Sun, 15 Oct 2006 10:58:55 +0200
From:  Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
Subject:  Re:  Kyocera laser printer not printing!

Ed Durrant ha scritto:
>   You need to find if this is a "host based printer" (aka win-printer).
It is, and it's clearly stated at the flyers and leaflets.
>
>   If this is a "real" printer
Sure it is not.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Sun, 15 Oct 2006 22:01:21 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:   Installation of Intel 2200BG Mini-PCI Card under eCS 2.0 (Beta 2) on an IBM T30 Thinkpad.

Now that I have got this working, here is the documentation that I promised:

NOTE: This process is not perfect !

  I wanted to ensure the process was repeatable - it's not 100%, however 
as it has worked and proved that both the hardware and the GenMac driver 
appear to work as expected (the issues are around TCPIP configuration 
and how it interfaces to WlanMon as far as I can see), I wanted to pass
this information on.

Since others have said they haven't been able to even get their cards 
working at all, I felt this process may be of use to them. Also the more 
people testing, will isolate the issues affecting operation that much 
quicker.

The first time this process was followed it worked perfectly, the second 
time, it failed until I removed TCPBEUI (which had worked previously), 
the third time no matter what I did in the TCPIP and WlanMon 
configurations, I could not get it to work, the forth time, it worked 
correctly again.

==========================

STARTING POINT:

   Intel 2200BG MINI-PCI Card Installed.

   1802 Bios fix run to allow the IBM hardware to accept this Toshiba
   branded Mini_PCI card. (The patch removes the hardware check).

   CMOS (BIOS) Settings - no changes - default settings.

1. Download the required software;

    GENMAC Wrapper Version 1.00 and v 1.6 upgrade package.

    WLANMON v 2.12

    (There are later versions - use at your own risk - this process used
     these versions).

2.  Clean-up Stage (Skip this if this is your first install attempt).

     MPTS - Remove protocols from 2200BG card
          - Remove any SVista or VPC virtual network protocol drivers
            (on any card)
          - Remove NIC definition for 2200BG card.
          - Adjust any remaining card to be the first adapter.

     CONFIG.SYS - Rem out all Uniaud lines.
                - Rem out all virtualPC lines.
                - Delete the Run Helperw.exe line

     OS2.INI - Using either REGEDIT2 or inimaint (or similar INI editor),
               Delete the following four keys from
                 OS2.INI/HINI_USER_PROFILE
                   Wireless Lan monitor:Networks
                   Wireless Lan monitor:Profiles
                   Wireless Lan monitor:Properties
                   Wireless Lan monitor:Stream Profiles
        (these should be the only "wireless" entries that are present).

     DESKTOP - Delete Wireless LAN Monitor folder and any shadows or
               copies you made of it or its contained objects.
               (if you installed Wlanmon as a Widget previously -
                 delete the widget).

     --  REBOOT the system --

     DISK - Delete the complete GENMAC directory tree - normally written
            to the system root drive.
          - Delete any directories you created to install (x)wlanmon into

3. Check Status.

    Make sure your other (Non WLAN) network connection is working
    correctly.

      Check configuration in MPTS
      Check condiguration in TCPCFG2
      Check configuration in LANINST

    Note: You should have LAN interface zero and the loopback interface
          configured normally in TCPCFG2 - we will not configure the WLAN
          interface here, rather we let WLANMON do this for us.

     -- COLD RESTART --

     Check no errors are indicated on boot up and that communication is
     working on your non-WLAN NIC.

4. Install GENMAC driver.

    Go to the temporary directory where you downloaded the code into and
    create a sub-directory for GENMAC. e.g. if you downnloaded to E:\TEMP
    create E:\TEMP\GENMAC

    Unzip the GENMAC v 1.00 Zip file into this new subdirectory.
    Unzip the GENMAC v 1.6 zip package into the SAME subdirectory.

    Go into the subdirectory and execute the INSTALL.CMD file. This will
    create a directory tree called \GENMAC off the system root, load
    the required NIF and MAC files into \IBMCOM\MACS and add a line to
    the start of CONFIG.SYS for the HELPERW.EXE program.

    Run MPTS and select and add the INTEL WLAN 2200BG as the next NIC in
    the configuration (i.e. if your onboard ethernet connection is the
    first NIC, make this the second NIC.)

    Now add ONLY the TCPIP protocol to the 2200BG NIC (if you need
    additional protocols, add them once the card is working - often TCPIP
    is all you need). Check the protocol number allocated to the TCPIP
    protocol does not conflict with any existing number - normally it
    would have a protocol number of 1. If there is a conflict adjust to
    avoid this by using the "change number" button.

    Still from within MPTS, edit the 2200BG card settings:
     Make Network Name (SSID) either blank or the name of your access
      point (this field is case sensitive).
     Change Debug Level from "NO" to "NONE".
     Change Wrapper Options from "NO" to "STACK32".

    Exit MPTS and save everything, letting CONFIG.SYS be updated.

    -- SHUT DOWN and COLD BOOT the system --

    On reboot - check that the card is indicated as having it's driver
    loaded, this text is in red and must also indicate that it is version
    1.6. - Should say "loaded for device ....".

    (Note: If you find that you have the wrong version of GENMAC, you
           cannot simply copy over HELPERW.EXE and GENM32W.OS2 - the
           copy will not give an error, but the file will not change as
           it is locked - you will need to run the "Unlock" program (in
           the GENMAC package, in the \BIN subdirectory) first and then
           replace these files.

    If the driver does not load at this point, this could suggest a
    faulty card.

5. Install WLANMON.

    Firstly it is important to note that we will install the EXE version
    and NOT the widget.

    Create a directory to hold WLANMON e.g. E:\WLANMON and unzip the
    (v2.12) package from the temporary directory where you downloaded it
    to this new directory.

    Execute the INSTEXE.CMD file from this directory, it will install the
    program in its current location and create a folder on the desktop.

    Start the wireless Lan Monitor and you will see a welcome screen and
    a flashing small ICON.

    Press OK.

    Now drag the ICON to a better place on the desktop and right mouse
    button (RMB)click it. I don't like this small ICON so I always select
    Window and click on Large Window Size. Then again Window and "always
    stay on top".

    If you are happy with the small icon, these two actions are optional.

    Now we will set the overall properties, so RMB - Properties.

    Radio tab - Set activate radio on startup
    Connection scan tab - Set scan for connections on startup
                        - change interval and retries to something more
                          sensible - default is 2/3600, I use 4/15.
    Device tab -this must show "Genmac wrapper INTEL 2200WLAN [8086:4220]
                and version WIND32$ 1.06, if not either the card is
                faulty or you have missed/incorrectly actioned an
                instruction above.
    TCP/IP tab - click Execute LAN config on disconnect - on.
               - leave Conflict at "prompt user".
    Script tab - leave both options ON, even though the scripts don't
                 exist.
    Mouse Actions tab - Leave as set (next profile / Scan).
    Error handling tab - Leave all three options selected.
    Display tab 1 - Leave as set (system value / 0)
    Display tab 2 - Info only.
    Information tab - must indicate v 2.12.

    Exit properties and RMB on the ICON again
     - Select ADD/EDIT Profile then NEW ....
       Connection tab 1 - Enter a Profile name - e.g. HomeWiFi
                        - Leave Connect as Basic ......
                        - click on "create a network"
                        - click on "include in connection scan"
                        - enter the SSID of your access point in the
                          network name field.
       Connection tab 2 - is greyed out.
       Security tab 1 - Encryption - in my case this was WEP64
                        Enter the key number set to be used with
                        your access point(AP) (1,2,3 or 4) - check your
                        AP for what you set it to.
                        Either generate using a known passphrase or
                        enter all four keys manually.
       TCP/IP tab - Although most access points also work as DHCP servers
                    during this initial set up stage I prefer to give the
                    system a static IP address. To do this, click on
                    "configure manually", enter the IP address and subnet
                    mask, Click on "more TCP/IP options" and enter the
                    default gateway IP address.

       Close this new profile and then press close on "select a profile"

       RMB on the ICON again, click on "select profile" and then the
       profile you just created (this should be the only one available.

       RMB on the ICON and click on "scan for connection".

       RMB one last time on the ICON and select EXIT to close WLANMON.

       -- SHUT DOWN, POWER OFF and RESTART the laptop --

6. Testing

    If you are lucky, once the system has fully booted, if you click on
    WLANMON the icon will load and go green - you have connectivity !

    In this state the reset TCPIP configuration option in the ICON RMB
    menu will be selectable - this is grey until the connection is
    working.
    Also you will be able to do a scan of hotspots, set the type to all
    and you will see your access point and possibly others in your area
    listed.

    If you do not get into a connected mode, you can try the following
    changes:

     Remove TCPBEUI and Netbios from your onboard NIC and restart.

     Change WLANMON not to allocate a static IP address but rather to use
     DHCP.

     Change Wrapper to be the first NIC and the onboard to be the second.

     Any and all TCP/IP configuration changes whether through TCPCFG2 or
     the profile in WLANMON REQUIRE you to do a reboot of the system
     before they will "settle in".

     Once you have the system working, a small change like adding in DNS
     addresses can stop the link working AND backing out the change
     DOES NOT return the link to operation ! The only way I have found
     around this is to delete the four OS2.INI entries and then re-
     configure WLANMON again.

     This lets me conclude that the area that is less than perfect is
     WLANMONs configuration of TCPIP and this stops the WiFi connection
     from working at all.

     It may be better to manually configure this TCPIP connection in
     TCPCFG2 and disable the "create a network" in connection tab 1 of
     the profile properties, however the notes with this software
     recommend not to do this.

==========================

Again, I would like to stress that this process is not 100% ! I am not 
the developer of the driver or application and as such, I cannot do more 
than document my findings. The key finding is that this hardware DOES 
work under eCS 2.0B2. This hopefully is a good starting point to clarify 
the last few variables to get the solution stable.

Regards,

Ed.
----------------------------------------------------------------------------------